import { get, reduce, isNumber } from '@antv/util';
import { ellipsisLabel } from '../../util/label';
// 真实的 数字，而不是 NaN
function isRealNumber(v) {
    return isNumber(v) && !isNaN(v);
}
function gethorizontalLimitLength(horizontalLimitLengthArray, idx) {
    var prev = get(horizontalLimitLengthArray, [idx - 1]);
    var curr = get(horizontalLimitLengthArray, [idx]);
    var next = get(horizontalLimitLengthArray, [idx + 1]);
    var left = (curr - prev) / 2;
    var right = (next - curr) / 2;
    if (isRealNumber(left)) {
        if (isRealNumber(right)) {
            return left + right;
        }
        else {
            return left * 2;
        }
    }
    else {
        if (isRealNumber(right)) {
            return right * 2;
        }
        else {
            return undefined;
        }
    }
}
function ellipseLabels(isVertical, labelGroup, limitLength, position, horizontalLimitLengthArray) {
    var children = labelGroup.getChildren();
    return reduce(children, function (ellipsised, label, idx) {
        // 1. 根据 verticalLimitLength 进行省略
        // 2. 根据 horizontalLimitLength 进行省略
        var horizontalLimitLength = gethorizontalLimitLength(horizontalLimitLengthArray, idx);
        var rst = ellipsisLabel(isVertical, label, limitLength, horizontalLimitLength, position);
        // 只有有一个省略，就返回 true
        return ellipsised || rst;
    }, false);
}
export function getDefault() {
    return ellipsisTail;
}
export function ellipsisHead(isVertical, labelGroup, limitLength, horizontalLimitLengthArray) {
    return ellipseLabels(isVertical, labelGroup, limitLength, 'head', horizontalLimitLengthArray);
}
export function ellipsisTail(isVertical, labelGroup, limitLength, horizontalLimitLengthArray) {
    return ellipseLabels(isVertical, labelGroup, limitLength, 'tail', horizontalLimitLengthArray);
}
export function ellipsisMiddle(isVertical, labelGroup, limitLength, horizontalLimitLengthArray) {
    return ellipseLabels(isVertical, labelGroup, limitLength, 'middle', horizontalLimitLengthArray);
}
//# sourceMappingURL=auto-ellipsis.js.map