"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ellipsisMiddle = exports.ellipsisTail = exports.ellipsisHead = exports.getDefault = void 0;
var util_1 = require("@antv/util");
var label_1 = require("../../util/label");
// 真实的 数字，而不是 NaN
function isRealNumber(v) {
    return util_1.isNumber(v) && !isNaN(v);
}
function gethorizontalLimitLength(horizontalLimitLengthArray, idx) {
    var prev = util_1.get(horizontalLimitLengthArray, [idx - 1]);
    var curr = util_1.get(horizontalLimitLengthArray, [idx]);
    var next = util_1.get(horizontalLimitLengthArray, [idx + 1]);
    var left = (curr - prev) / 2;
    var right = (next - curr) / 2;
    if (isRealNumber(left)) {
        if (isRealNumber(right)) {
            return left + right;
        }
        else {
            return left * 2;
        }
    }
    else {
        if (isRealNumber(right)) {
            return right * 2;
        }
        else {
            return undefined;
        }
    }
}
function ellipseLabels(isVertical, labelGroup, limitLength, position, horizontalLimitLengthArray) {
    var children = labelGroup.getChildren();
    return util_1.reduce(children, function (ellipsised, label, idx) {
        // 1. 根据 verticalLimitLength 进行省略
        // 2. 根据 horizontalLimitLength 进行省略
        var horizontalLimitLength = gethorizontalLimitLength(horizontalLimitLengthArray, idx);
        var rst = label_1.ellipsisLabel(isVertical, label, limitLength, horizontalLimitLength, position);
        // 只有有一个省略，就返回 true
        return ellipsised || rst;
    }, false);
}
function getDefault() {
    return ellipsisTail;
}
exports.getDefault = getDefault;
function ellipsisHead(isVertical, labelGroup, limitLength, horizontalLimitLengthArray) {
    return ellipseLabels(isVertical, labelGroup, limitLength, 'head', horizontalLimitLengthArray);
}
exports.ellipsisHead = ellipsisHead;
function ellipsisTail(isVertical, labelGroup, limitLength, horizontalLimitLengthArray) {
    return ellipseLabels(isVertical, labelGroup, limitLength, 'tail', horizontalLimitLengthArray);
}
exports.ellipsisTail = ellipsisTail;
function ellipsisMiddle(isVertical, labelGroup, limitLength, horizontalLimitLengthArray) {
    return ellipseLabels(isVertical, labelGroup, limitLength, 'middle', horizontalLimitLengthArray);
}
exports.ellipsisMiddle = ellipsisMiddle;
//# sourceMappingURL=auto-ellipsis.js.map